Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#307 Patch to add pluginset command-line option

open-remind
nobody
None
5
2012-03-01
2010-01-05
Damien
No

This patch allows users to choose which plugins jEdit loads at startup by specifying a PluginSet .xml file through the -pluginset command-line switch.

This is my first patch submission, so it may need a little more testing before being committed.

Discussion

1 2 > >> (Page 1 of 2)
  • Damien
    Damien
    2010-01-05

    This patch should be applied to jEdit.java.

     
  • Alan Ezust
    Alan Ezust
    2010-01-06

    • assigned_to: nobody --> ezust
     
  • Alan Ezust
    Alan Ezust
    2010-01-07

    I can't seem to get it to work for me.

    [ezust@cerberus] /home/ezust/.jedit> jedit -pluginset=pluginset.xml
    6:14:26 PM [main] [error] PluginJAR: Cannot load plugin /home/ezust/workspace/jedit/trunk/build/jars/JCalculator.jar
    6:14:26 PM [main] [error] PluginJAR: java.util.zip.ZipException: error in opening zip file
    6:14:26 PM [main] [error] PluginJAR: at java.util.zip.ZipFile.open(Native Method)
    6:14:26 PM [main] [error] PluginJAR: at java.util.zip.ZipFile.<init>(ZipFile.java:114)
    6:14:26 PM [main] [error] PluginJAR: at java.util.zip.ZipFile.<init>(ZipFile.java:75)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.getZipFile(PluginJAR.java:369)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.generateCache(PluginJAR.java:1227)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.init(PluginJAR.java:1035)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.addPluginJAR(jEdit.java:1148)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.addPluginJARsFromDirectory(jEdit.java:1199)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.initPlugins(jEdit.java:3545)
    6:14:26 PM [main] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.main(jEdit.java:456)
    6:14:26 PM [main] [error] ErrorListDialog$ErrorEntry: /home/ezust/workspace/jedit/trunk/build/jars/JCalculator.jar:
    6:14:26 PM [main] [error] ErrorListDialog$ErrorEntry: Cannot load: java.util.zip.ZipException: error in opening zip file
    6:14:26 PM [main] [error] ErrorListDialog$ErrorEntry: The most likely reason is that the JAR file is corrupt; try
    6:14:26 PM [main] [error] ErrorListDialog$ErrorEntry: reinstalling it. See Utilities->Troubleshooting->Activity Log
    6:14:26 PM [main] [error] ErrorListDialog$ErrorEntry: for a full stack trace.
    6:14:26 PM [main] [error] jEdit: Failed to generate cache while loading plugin JCalculator.jar
    6:14:26 PM [main] [error] main: Exception in thread "main"
    6:14:26 PM [main] [error] main: java.lang.NullPointerException
    6:14:26 PM [main] [error] main: at org.gjt.sp.jedit.jEdit.addPluginJARsFromDirectory(jEdit.java:1212)
    6:14:26 PM [main] [error] main: at org.gjt.sp.jedit.jEdit.initPlugins(jEdit.java:3545)
    6:14:26 PM [main] [error] main: at org.gjt.sp.jedit.jEdit.main(jEdit.java:456)

     
  • PluginSet test file.

     
    Attachments
  • Damien
    Damien
    2010-01-07

    PluginSet test file.

     
    Attachments
  • Damien
    Damien
    2010-01-07

    What PluginSets are you using? It seems to work fine with mine (I uploaded the two that I tested with).

     
  • Alan Ezust
    Alan Ezust
    2010-01-07

    alan's minimal pluginset.xml

     
    Attachments
  • Alan Ezust
    Alan Ezust
    2010-01-07

    alan's full pluginset.xml

     
    Attachments
  • Damien
    Damien
    2010-01-08

    Fixed a bug that caused errors when a plugin defined in a PluginSet could not be found.

     
    Attachments
  • Damien
    Damien
    2010-01-08

    Can you try it now? I know I fixed at least one bug, but I don't know if it's the one you were having. Your PluginSets now work on my machine, though, so hopefully it solved the problem.

     
1 2 > >> (Page 1 of 2)